Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst.confidence
Class TransducerSequenceConfidenceEstimator

    java.lang.Object
      cc.mallet.fst.confidence.TransducerSequenceConfidenceEstimator

Direct Known Subclasses:
  MaxEntSequenceConfidenceEstimator, MinSegmentConfidenceEstimator, NBestViterbiConfidenceEstimator, QBCSequenceConfidenceEstimator, RandomSequenceConfidenceEstimator, SegmentProductConfidenceEstimator, ViterbiConfidenceEstimator, ViterbiRatioConfidenceEstimator

    public abstract class TransducerSequenceConfidenceEstimator

extends java.lang.Object

Abstract class that estimates the confidence of a `Sequence` extracted by a `Transducer`.Note that this is different from `TransducerConfidenceEstimator`, which estimates the confidence for a single `Segment`.

Field Summary
`protected Transducer` | `model`

Constructor Summary
`TransducerSequenceConfidenceEstimator(Transducer model)`

Method Summary
`abstract double` | `estimateConfidenceFor(Instance instance, java.lang.Object[] startTags, java.lang.Object[] inTags)` Calculates the confidence in the tagging of a `Sequence`.
`InstanceWithConfidence[]` | `rankInstancesByConfidence(InstanceList ilist, java.lang.Object[] startTags, java.lang.Object[] continueTags)` Ranks all `Sequences`s in this `InstanceList` by confidence estimate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    protected Transducer model

Constructor Detail

### TransducerSequenceConfidenceEstimator

    public TransducerSequenceConfidenceEstimator(Transducer model)

Method Detail

### estimateConfidenceFor

    public abstract double estimateConfidenceFor(Instance instance,
                                                 java.lang.Object[] startTags,
                                                 java.lang.Object[] inTags)

  Calculates the confidence in the tagging of a `Sequence`.

### rankInstancesByConfidence

    public InstanceWithConfidence[] rankInstancesByConfidence(InstanceList ilist,
                                                              java.lang.Object[] startTags,
                                                              java.lang.Object[] continueTags)

  Ranks all `Sequences`s in this `InstanceList` by confidence estimate.

  Parameters:
    `ilist` - list of segmentation instances
    `startTags` - represent the labels for the start states (B-) of all segments
    `continueTags` - represent the labels for the continue state (I-) of all segments
  Returns:
    array of `InstanceWithConfidence`s ordered by non-decreasing confidence scores, as calculated by `estimateConfidenceFor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD